DC_DEVICE_SET_FINGERPRINT(3)

NAME
dc_device_set_fingerprint - set the last-seen dive fingerprint

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/device.h>
dc_status_t
dc_device_set_fingerprint(dc_device_t *device, const unsigned char data[], unsigned int size);

DESCRIPTION
Sets the last-seen dive fingerprint on a device opened with dc_device_open(3). This mechanism is used to only download dives “newer” ( as reported by the dive computer, not necessarily on the calendar) than the last seen dive.

In general usage, the fingerprint is acquired (and saved) from the first dive downloaded from a dive computer by dc_device_foreach(3). In subsequent openings of the device, the fingerprint is set with dc_device_set_fingerprint and, when a dive reports a fingerprint matching that dive, the download exits before reporting that dive. (The first fingerprint is saved again for subsequent invocations.) In this way, only the newest dives are reported.

RETURN VALUES
This returns DC_STATUS_SUCCESS if the fingerprint was set or one of several error values on error.

SEE ALSO
dc_device_open(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.